{
  "name": "offlineforum",
  "version": "0.1.0",
  "private": true,
  "dependencies": {
    "enzyme": "^3.8.0",
    "enzyme-adapter-react-16": "^1.8.0",
    "enzyme-to-json": "^3.3.5",
    "react": "^16.7.0",
    "react-dom": "^16.7.0",
    "react-markdown": "^4.0.6",
    "react-scripts": "2.1.3"
  },
  "scripts": {
    "start": "react-scripts start",
    "build": "react-scripts build",
    "test": "react-scripts test --verbose=false",
    "test:coverage": "react-scripts test --coverage",
    "eject": "react-scripts eject",
    "cypress:open": "cypress open",
    "cypress:e2e": "start-server-and-test start http://localhost:3000 cypress:open",
    "cypress:run": "cypress run",
    "cypress:e2e:ci": "start-server-and-test start http://localhost:3000 cypress:run"
  },
  "jest": {
    "snapshotSerializers": [
      "enzyme-to-json/serializer"
    ],
    "collectCoverageFrom": [
      "src/**/**.js",
      "!src/index.js",
      "!src/serviceWorker.js",
      "!src/fakePosts.js",
      "!src/setupTests.js"
    ],
    "coverageThreshold": {
      "global": {
        "branches": 100,
        "functions": 100,
        "lines": 100,
        "statements": 0
      }
    }
  },
  "eslintConfig": {
    "extends": "react-app"
  },
  "browserslist": [
    ">0.2%",
    "not dead",
    "not ie <= 11",
    "not op_mini all"
  ],
  "devDependencies": {
    "cypress": "^3.1.5",
    "start-server-and-test": "^1.7.11"
  }
}
